Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • 10:17

    greenkeeper[bot] on webpack-4.41.3

    (compare)

  • 10:13

    greenkeeper[bot] on webpack-4.41.3

    chore(package): update webpack … (compare)

  • Dec 14 20:01
    greenkeeper[bot] labeled #5450
  • Dec 14 20:01
    greenkeeper[bot] opened #5450
  • Dec 14 20:00

    greenkeeper[bot] on semver-7.0.0

    chore(package): update semver t… (compare)

  • Dec 14 16:58
    millette starred canjs/canjs
  • Dec 14 00:14
    greenkeeper[bot] labeled #5449
  • Dec 14 00:14
    greenkeeper[bot] opened #5449
  • Dec 14 00:14

    greenkeeper[bot] on can-super-model-2.0.0

    fix(package): update can-super-… (compare)

  • Dec 14 00:13
    greenkeeper[bot] labeled #5448
  • Dec 14 00:13
    greenkeeper[bot] opened #5448
  • Dec 14 00:13

    greenkeeper[bot] on can-define-rest-model-2.0.0

    fix(package): update can-define… (compare)

  • Dec 14 00:12
    greenkeeper[bot] labeled #5447
  • Dec 14 00:12
    greenkeeper[bot] opened #5447
  • Dec 14 00:12

    greenkeeper[bot] on can-define-realtime-rest-model-2.0.0

    fix(package): update can-define… (compare)

  • Dec 14 00:07
    greenkeeper[bot] labeled #5446
  • Dec 14 00:07
    greenkeeper[bot] opened #5446
  • Dec 14 00:07

    greenkeeper[bot] on can-connect-ndjson-2.0.0

    fix(package): update can-connec… (compare)

  • Dec 13 21:27

    greenkeeper[bot] on @octokit

    (compare)

  • Dec 13 21:25

    greenkeeper[bot] on @octokit

    chore(package): update @octokit… (compare)

Frank Lemanschik
@frank-dspeed
No its not
simply read the migrating guid?
:D
Thomas Sieverding
@Bajix
That’s not the issue
It decreases interoperability with SystemJS
Thomas Sieverding
@Bajix
StealJS forked from SystemJS, but the two still have large simularities
As someone who authors works for both, this is kind of frustrating...
Frank Lemanschik
@frank-dspeed
ohhh
sorry for that
but steal has simply probally other goals then accepting systemjs plugins or anything
Thomas Sieverding
@Bajix
It’s a frivelous change to rename everything from system to steal and it’ll only make it that much harder to make portable works
Frank Lemanschik
@frank-dspeed
example?
give realy usefull examples not only words always remember i don't know what your doing
Thomas Sieverding
@Bajix
They they have same plugin interface, but different path resolution behaviors
Anything built for SystemJS can be made compatible for Steal and vice versa
Gira Minus
@gKreator
when I run npm install steal --save, it gives me "steal": "^0.16.43",
Frank Lemanschik
@frank-dspeed
ok little trick for you
npm install steal@rc steal-tools@rc --save
it gives you 1 right?
Gira Minus
@gKreator
"steal-tools": "^1.0.0-rc2",
Frank Lemanschik
@frank-dspeed
perfecto
Thomas Sieverding
@Bajix
How does upgrading steal play into getting 3.0 compatible?
Gira Minus
@gKreator
that might fix the can-import problem I am having when I use steal-tools?
Frank Lemanschik
@frank-dspeed
not realy
you need to have the right versions
and need to use the right syntax overall
if you like and you got your repo public or you can give me access in private chat then i could upgrade it for you
i am skilled with that and will find fast what needs to be changed and it will also help me as i code functions for auto migration for the generator
Thomas Sieverding
@Bajix
Can you send me a package.json with them?
Gira Minus
@gKreator
Me?
Thomas Sieverding
@Bajix
no @frank-dspeed
I guess it would be beneficial for everyone
Frank Lemanschik
@frank-dspeed
ya let me look no problem
its around public in the git repos also
Thomas Sieverding
@Bajix
I mean that’s probably just using the pre tags on donejs things
Frank Lemanschik
@frank-dspeed
donejs/donejs#750
does that help you?
nope the pre tags don't work
:D
there is a donejs branch with canjs 3 and pre tags
Thomas Sieverding
@Bajix
Sweet
Frank Lemanschik
@frank-dspeed
that don't works
but this dependcys work
i use them in production
Thomas Sieverding
@Bajix
That sounds liek the same issue that I saw in can-stache
Frank Lemanschik
@frank-dspeed
maybe only remember to change system to steal
and to be compatible
maybe copy that also to system :D
little insider tip ;)